curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/replay-by-id' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"webhookIds": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"dryRun": false
}'
{
"requested": 1,
"deduplicated": 1,
"matched": 1,
"dryRun": false,
"queued": 1,
"skipped": 1,
"webhookIds": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"errors": [
{
"webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "Two-person tent, green — replacement for damaged pole set."
}
]
}
Replay specific webhook events by id (operator tooling).
Replay result (or preview when dryRun)
POST
/
v1
/
tenants
/
{tenant_id}
/
webhook-events
/
replay-by-id
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/replay-by-id' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"webhookIds": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"dryRun": false
}'
{
"requested": 1,
"deduplicated": 1,
"matched": 1,
"dryRun": false,
"queued": 1,
"skipped": 1,
"webhookIds": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"errors": [
{
"webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "Two-person tent, green — replacement for damaged pole set."
}
]
}
Path parameters
Request body
object
Response
object
Status codes
| Code | Meaning |
|---|---|
202 | Replay result (or preview when dryRun) |
401 | Unauthorized |
404 | Tenant not found |
422 | Invalid replay request |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/replay-by-id' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"webhookIds": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"dryRun": false
}'
{
"requested": 1,
"deduplicated": 1,
"matched": 1,
"dryRun": false,
"queued": 1,
"skipped": 1,
"webhookIds": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
],
"errors": [
{
"webhookId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "Two-person tent, green — replacement for damaged pole set."
}
]
}
Last modified on August 31, 2026